%define pear_name PHPUnit2

Name: pear-PHPUnit2
Version: 2.3.6
Release: alt3

Summary: Regression testing framework for unit tests

License: BSD License
Group: Development/Other
Url: http://pear.php.net/package/PHPUnit2

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://pear.php.net/get/PHPUnit2-%version.tar.bz2

BuildArchitectures: noarch

Requires: pear-core
BuildRequires: pear-core rpm-build-pear

Requires: php5-dom, pear-Benchmark, pear-Console_Getopt
#Requires: php5-pcre, php5-spl

%description
PHPUnit is a regression testing framework used by the developer who
implements unit tests in PHP. This is the version to be used with PHP 5.

%prep
%setup -c -n %pear_name-%version

%build
%pear_build

%install
%pear_install_std

%post
%register_pear_module

%preun
%unregister_pear_module

%files
%doc LICENSE CHANGELOG
%_bindir/phpunit
%pear_dir/%pear_name/
%pear_testdir/%pear_name/
%pear_docdir/%pear_name/
%pear_xmldir/%pear_name.xml

%changelog
* Fri Jun 20 2008 Vitaly Lipatov <lav@altlinux.ru> 2.3.6-alt3
- autorebuild for correct requires(pre) (see bug #16086)

* Thu Jan 10 2008 Vitaly Lipatov <lav@altlinux.ru> 2.3.6-alt2
- update according to rpm-build-pear 0.3

* Sat Jan 05 2008 Vitaly Lipatov <lav@altlinux.ru> 2.3.6-alt1
- initial build for ALT Linux Sisyphus

